#
# spec file for package paman
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           paman
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libglademm-devel
BuildRequires:  libpulse-devel
BuildRequires:  update-desktop-files
Summary:        PulseAudio Manager
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Version:        0.9.4
Release:        lp151.2.3
Url:            http://0pointer.de/lennart/projects/paman/
Source:         %{name}-%{version}.tar.bz2
Source1:        paman.png
Patch:          paman-desktop-fix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PulseAudio Manager (paman) is a simple GTK frontend for the PulseAudio
sound server.

%prep
%setup -q
%patch

%build
autoreconf -fi
%configure --disable-lynx
make

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps
%suse_update_desktop_file %{name} AudioVideo Mixer

%clean
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT

%if 0%{?suse_version} > 1130

%post
%desktop_database_post
%endif

%if 0%{?suse_version} > 1130

%postun
%desktop_database_postun
%endif

%files
%defattr(-,root,root)
%doc doc/README doc/README.html
%doc LICENSE
%{_bindir}/*
%{_datadir}/paman
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png

%changelog
* Tue Jan  3 2012 vuntz@opensuse.org
- Add automake BuildRequires, as needed by autoreconf.
* Wed Dec 21 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
* Fri Jan 11 2008 rodrigo@suse.de
- Depend on libpulse-devel, not pulseaudio-devel
* Fri Jan  4 2008 rodrigo@suse.de
- Updated to version 0.9.4:
  * Build fixes
  * Licensing update in all source files
  * Minor UI tweaks
  * Move sink input/source list items if they are moved between
    sinks/sources.
- Changed source to a tar.bz2
* Wed Nov 21 2007 cyberorg@cyberorg.info
- Initial spec for openSUSE based on Fedora 8 package
* Wed Jun 13 2007 tiwai@suse.de
- initial version: 0.9.3
